aboutsummaryrefslogtreecommitdiff
path: root/evolution/tester
diff options
context:
space:
mode:
Diffstat (limited to 'evolution/tester')
-rwxr-xr-xevolution/tester38
1 files changed, 38 insertions, 0 deletions
diff --git a/evolution/tester b/evolution/tester
new file mode 100755
index 0000000..5ccb839
--- /dev/null
+++ b/evolution/tester
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+# file : evolution/tester.in
+# copyright : Copyright (c) 2009-2013 Code Synthesis Tools CC
+# license : GNU GPL v2; see accompanying LICENSE file
+
+#
+# Run an evolution test. The test driver is in the current directory. The
+# data files, if any, are in $srcdir.
+#
+
+if test -f test1.sql; then
+ # Standalone schema.
+ #
+
+ # Drop everything.
+ $top_builddir/db-driver test1.sql || exit 1
+ $top_builddir/db-driver test2.sql || exit 1
+
+ # Base schema (-post is always empty).
+ $top_builddir/db-driver test2-002-pre.sql || exit 1
+ ./driver --options-file "$top_builddir/db.options" 1 || exit 1
+
+ # Migration.
+ $top_builddir/db-driver test2-003-pre.sql || exit 1
+ ./driver --options-file "$top_builddir/db.options" 2 || exit 1
+ $top_builddir/db-driver test2-003-post.sql || exit 1
+
+ # Current schema.
+ ./driver --options-file "$top_builddir/db.options" 3 || exit 1
+
+else
+ # Embedded schema. Just run the driver.
+ #
+ ./driver --options-file "$top_builddir/db.options" 1 || exit 1
+ ./driver --options-file "$top_builddir/db.options" 2 || exit 1
+ ./driver --options-file "$top_builddir/db.options" 3 || exit 1
+fi